package LoadMapPackage
{
	function GameConnection::startLoad(%client)
	{
		if(!isObject("MapGroup"))
		{
			exec("Add-Ons/Map_DSRainbowRoad/place.cs");
			MissionCleanup.add("MapGroup");
		}
		Parent::startLoad(%client);
	}
};
activatepackage(LoadMapPackage);

datablock staticShapeData(SSdetailDOT001Data)
{
	shapefile = "Add-Ons/Map_DSRainbowRoad/shapes/detail.001.dts";
};

datablock staticShapeData(SSDetailData)
{
	shapefile = "Add-Ons/Map_DSRainbowRoad/shapes/detail.dts";
};

datablock staticShapeData(SSCOLData)
{
	shapefile = "Add-Ons/Map_DSRainbowRoad/shapes/COL.dts";
};

function addExtraResource(%name)
{
    if (MissionGroup.addedResource[%name]) return;
    MissionGroup.addedResource[%name] = "1";
    $EnvGuiServer::Resource[$EnvGuiServer::ResourceCount] = %name;
    $EnvGuiServer::ResourceCount++;
    setManifestDirty();
}

function loadShapes()
{
    %pattern = "Add-Ons/Map_DSRainbowRoad/shapes/*";

    %file = findFirstFile(%pattern);

    while(isFile(%file))
    {
        echo("adding " @ %file);
        addExtraResource(%file);
        %file = findNextFile(%pattern);
    }
   
}

loadShapes();
